Get an attendance sheet
Path Parameters
- Type: stringattendance
_sheet required
Query Parameters
- Type: stringinclude
Include related resources (comma-separated). Options: registrationOpportunities, records, records.programSignup.
Headers
- Type: stringX
- Api - Version Optional API version for this request. When omitted, the server uses the default version. This documentation describes version 2026-03-25.
Responses
- application/json
- application/json
Request Example for get/attendance_sheets/{attendance_sheet}
curl 'https://api.getcommunal.com/api/attendance_sheets/{attendance_sheet}?include=registrationOpportunities%2Crecords' \
--header 'X-Api-Version: 2026-03-25' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"id": 1,
"registration_opportunity_ids": [
42,
43
],
"date": "2025-06-15",
"recordsCount": 5,
"created_at": "2025-01-15T10:30:00.000000Z",
"updated_at": "2025-01-20T14:45:00.000000Z",
"parentProgram": null,
"registrationOpportunities": "string",
"records": "string"
}